Skip to content

Get an interface

GET
/interfaces/{id}
curl --request GET \
--url https://example.com/api/v1/interfaces/example

Fetches an interface by id. An interface whose component is out of the caller’s read scope is a non-disclosing 404. Gated by interface:read.

id
required

The interface’s surrogate id

string

The interface’s surrogate id

OK

Media type application/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
component

The owning component name; absent for a server-hosted interface

string
component_id

The owning component’s id; the stable form of component

string
id
required

The interface’s surrogate id (the address)

string
interface_type
required

The interface_type name (the protocol)

string
interface_type_id
required

The interface_type’s uuid, the stable form of interface_type

string
name
required

The friendly name, unique within the owning component

string
node

The node placement name, if assigned

string
node_id

The placed node’s id; the stable form of node

string
params

The endpoint/target settings (jsonb)

Example
{
"$schema": "/api/v1/schemas/InterfaceBody.json"
}

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}